import 'package:flutter/material.dart';
import 'package:flutter_provider_demo/provider/car_provider.dart';
import 'package:flutter_provider_demo/views/carlist.dart';

import 'package:provider/provider.dart';

class UnReadyCarsTab extends StatelessWidget {
  const UnReadyCarsTab({super.key});

  @override
  Widget build(BuildContext context) {
    return Consumer<CarProvider>(
      builder: (context, cars, _) => cars.unStartedCars.isNotEmpty
          ? CarList(
              cars: cars.unStartedCars,
            )
          : const Center(
              child: Text(
                'There are no incomplete tasks',
                style: TextStyle(
                  fontSize: 25.0,
                ),
              ),
            ),
    );
  }
}
